[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [gnutls-dev] Guile problems in 1.7.12

From: Ludovic Courtès
Subject: Re: [gnutls-dev] Guile problems in 1.7.12
Date: Fri, 08 Jun 2007 19:58:25 +0200
User-agent: Gnus/5.110006 (No Gnus v0.6) Emacs/21.4 (gnu/linux)


address@hidden (Ludovic Courtès) writes:

> Yes.  The issue is that `libguile-gnutls{,-extra}' is linked
> against the system-wide `libgnutls{,-extra}.so' instead of the recently
> built one.  And it turns out that the system-wide version that you have
> is a buggy one.  ;-)  I guess the tests don't even run when GnuTLS is
> not already installed.

The solution consists in passing `' and `'
first in the `LDFLAGS' of `libguile-gnutls' and `libguile-gnutls-extra'
so that the RPATH is in the right order (it took me a while to figure it

The fix is in my repository.

I'd rather send patches by email for such cases but it seems that the
only way to send the actual patch, the log, and the commit ancestry
information is with `git-format-patch' which creates a new message.  Or
is there another solution?


reply via email to

[Prev in Thread] Current Thread [Next in Thread]